import * as $dara from '@darabonba/typescript';
import { GetSasContainerWebDefenseRuleCriteriaResponseBody } from "./GetSasContainerWebDefenseRuleCriteriaResponseBody";
export declare class GetSasContainerWebDefenseRuleCriteriaResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: GetSasContainerWebDefenseRuleCriteriaResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
